Package org.apache.tools.ant.launch

## Class LaunchException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.tools.ant.launch.LaunchException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class LaunchException
      extends java.lang.Exception

  Signals an error condition during launching
  Since:
    Ant 1.6
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LaunchException​(java.lang.String message)` | Constructs an exception with the given descriptive message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LaunchException

          public LaunchException​(java.lang.String message)

      Constructs an exception with the given descriptive message.
      Parameters:
        `message` - A description of or information about the exception. Should not be `null`.